APIs / Google Hotels / Autocomplete
Google Hotels: Autocomplete
Autocomplete from Google Hotels as JSON. 1 credit per successful call.
GET /v1/google-hotels/autocomplete
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 100 characters |
hl | string | Optional | Up to 2 characters |
gl | string | Optional | Up to 2 characters |
currency | string | Optional | Up to 3 characters |
type | string | Optional | location, hotel, all |
Example request
curl "https://api.perceptlayer.com/v1/google-hotels/autocomplete?q=Berlin" \
-H "X-API-Key: $API_KEY"